<?php
header("Content-type: text/css"); 
?>

body {
	font-size:<?php echo $mainFontSize; ?>px;
	color:<?php echo $bodyText; ?>;
    <?php if ($backgroundImage!="none") { ?>
    background:<?php echo $backgroundColor; ?> url(<?php echo $template_path; ?>/images/bg_<?php echo $backgroundImage; ?>.png);
    <?php }else{ ?>
    background:<?php echo $backgroundColor; ?>;
    <?php } ?>
}

#nav li.active ul, #nav li:hover ul  {
	top:33px;
	left:0px;
}

#nav li:hover ul {
	top:29px;
}

#nav li.active:hover ul {
	top:33px;
}

a:link,a:visited  {
	color:<?php echo $linkColor; ?>;
}

#topmenu,.path,.gallery,.upper,.bottom,.footer_wrap,.main_area,.header {
	width:<?php echo $templateWidth; ?>px;
}

.wrapper_outside {
	width:<?php echo $templateWidthOutside; ?>px;
}

#content_wrap {
	width:<?php echo $contentWidth; ?>px;
    background:<?php echo $contentBg; ?>;
}

#column_left {
	width:<?php echo $columnLeftWidth; ?>px;
    margin-<?php if($columnLayout=="mlr") { echo "left"; }else{ echo "right"; } ?>:7px;
}

#column_right {
	width:<?php echo $columnRightWidth; ?>px;
    margin-<?php if($columnLayout=="mlr" or $columnLayout=="lmr") { echo "left"; }else{ echo "right"; } ?>:7px;
}

.column_left_top {
	background:<?php echo $columnLeftColor; ?>;
}

.column_right_top {
	background:<?php echo $columnRightColor; ?>;
}

.header_menu {
	width:<?php echo $headerMenuWidth; ?>px;
}

.componentheading, h1 {
	color:<?php echo $componentHeadingText; ?>;
}

.contentheading, h2, h3, h4 {
	color:<?php echo $headingText; ?>;
}

a.contentpagetitle:hover h2 {
	color:<?php echo $headingHoverText; ?>;
}

#column_right div.moduletable,
#column_left div.moduletable {
    color:<?php echo $columnText; ?>;
}

div.moduletable h3 span {
	color:<?php echo $columnFirstWord; ?>;
}

div.moduletable h3 {
	color:<?php echo $columnHeading; ?>;
}

.column_left_bottom div.moduletable,
.column_right_bottom div.moduletable,
.column_left_bottom div.moduletable h3,
.column_right_bottom div.moduletable h3,
.column_left_bottom div.moduletable h3 span,
.column_right_bottom div.moduletable h3 span {
	color:<?php echo $columnBottomText; ?>;
}

#nav li:hover a,
#nav li:hover ul li a:hover {
    color:<?php echo $topMenuHoverText; ?>;
}

#nav li a {
    color:<?php echo $topMenuText; ?>;
}

#nav li.active ul li a,
#nav li:hover ul li a, #nav li ul li a {
	color:<?php echo $topMenuSubText; ?>;
}

.header_menu a:link,.header_menu a:visited,.header_menu a:hover {
	color:<?php echo $headerMenu; ?>;
}

#column_right ul.menu li a:link, #column_right ul.menu li a:visited,
#column_left ul.menu li a:link, #column_left ul.menu li a:visited,
ul.newsfeed li a:link, ul.newsfeed li a:visited,
a.readmore  {
	color:<?php echo $mainMenuText; ?>;
}

#column_right ul.menu li a:hover,
#column_left ul.menu li a:hover,
ul.newsfeed li a:hover,
a.readmore:hover {
	color:<?php echo $mainMenuHoverText; ?>;
}

#column_right li.active a, #column_left li.active a:link, #column_left li.active a:visited {
	color:<?php echo $mainMenuTextActive; ?> !important;
}

#c1,#c2,#c3,#c4,#c5,#c6,#c7,#c8,.footer,.footer2 {
	background:<?php echo $bottomModulesBg; ?>;
}

.bottom,.bottom p,.bottom div,.bottom a:link,.bottom a:visited,
.upper,.upper p,.upper div,.upper a:link,.upper a:visited {
	color:<?php echo $bottomModulesText; ?>;
}

.bottom div.moduletable h3,
.bottom div.moduletable h3 span {
	color:<?php echo $bottomModulesHeading; ?>;
}

<?php if ($showuser1) { ?>
.user2,.main_area,.bottom,.footer,.footer2,.upper {
    position:relative;
    top:-35px;
}
<?php } ?>

#column_right ul.menu li a:link,#column_right ul.menu li a:visited,
#column_left ul.menu li a:link,#column_left ul.menu li a:visited,
ul.newsfeed li a:link, ul.newsfeed li a:visited,
.header_menu a,
.footer ul.menu li a:link,.footer ul.menu li a:visited,
#column_right div.moduletable,
#column_left div.moduletable,
.bottom div.moduletable,
.upper div.moduletable {
	font-size:<?php echo $modulesFontSize; ?>px;
}

<?php if ($transparentImage != "none") { ?>
.wrapper_outside {
	background:url(<?php echo $template_path; ?>/images/bg_transparent_<?php echo $transparentImage; ?>.png);
}
<?php } ?>

.moduletable .contentpaneopen,
.moduletable .article_separator {
	background:url(<?php echo $template_path; ?>/images/bg_transparent_black.png);
}

a.pagenav {
	background:<?php echo $headingText; ?>;
}

/* extension specific settings */

.hotcarousel p,
.hotcarousel .small,
.hotcarousel h2,
.carousel-pagination span {
	color:<?php echo $carouselTextColor; ?>;
}

.carousel-pagination .active span,
.hotcarousel a.readon {
	color:<?php echo $carouselLinkColor; ?>;	
}

div.carousel-pagination a span {
	background:<?php echo $carouselTextColor; ?>;
}

div.carousel-pagination span:hover, div.carousel-pagination a.active span {
	background:<?php echo $carouselLinkColor; ?>;
}

#highlights_scroll,
#highlights_scroll a.readon,
.highlights_intro_pad {
	color:<?php echo $scrollerTextColor; ?>;
}

#highlights_scroll .contentheading a,
#highlights_scroll .contentheading {
	color:<?php echo $scrollerHeadingColor; ?>;
}